Index: /palm/trunk/SOURCE/calc_spectra.f90
===================================================================
--- /palm/trunk/SOURCE/calc_spectra.f90	(revision 707)
+++ /palm/trunk/SOURCE/calc_spectra.f90	(revision 708)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 707)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 708)
@@ -4,10 +4,14 @@
 ! Current revisions:
 ! -----------------
-! setting of bc_lr/ns_dirrad/raddir
+! 
 !
 ! Former revisions:
 ! -----------------
-!
-! 689 2011-02-20 19:31:12z gryschka 
+! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! setting of bc_lr/ns_dirrad/raddir
+!
+! 689 2011-02-20 19:31:12z gryschka
 ! Bugfix for some logical expressions 
 ! (syntax was not compatible with all compilers)
Index: /palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz.f90	(revision 707)
+++ /palm/trunk/SOURCE/exchange_horiz.f90	(revision 708)
@@ -4,9 +4,13 @@
 ! Current revisions:
 ! -----------------
-! grid_level directly used as index for MPI data type arrays,
-! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
+! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! grid_level directly used as index for MPI data type arrays,
+! bc_lr/ns replaced by bc_lr/ns_cyc
 !
 ! 689 2011-02-20 19:31:12z gryschka 
Index: /palm/trunk/SOURCE/exchange_horiz_2d.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 707)
+++ /palm/trunk/SOURCE/exchange_horiz_2d.f90	(revision 708)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 !
 ! Former revisions:
@@ -10,4 +10,7 @@
 ! $Id$
 !
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 ! 702 2011-03-24 19:33:15Z suehring
 ! Bugfix in declaration of ar in exchange_horiz_2d_int and number of MPI-blocks
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 707)
+++ /palm/trunk/SOURCE/header.f90	(revision 708)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 707)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 708)
@@ -7,11 +7,16 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
 ! p_sub renamed p_loc and allocated depending on the chosen pressure solver,
 ! initial assignments of zero to array p for iterative solvers only,
 ! bc_lr/ns replaced by bc_lr/ns_dirrad/raddir
 !
-! Former revisions:
-! -----------------
-! 680 2011-02-04 23:16:06Z gryschka $
+! 680 2011-02-04 23:16:06Z gryschka
 ! bugfix: volume_flow_control
 !
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 707)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 708)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
@@ -540,11 +543,4 @@
 
 !
-!-- Test output of nzb_local -1:ny+1,-1:nx+1
-!    WRITE (9,*)  '*** nzb_local ***'
-!    DO  j = ny+1, -1, -1
-!       WRITE (9,'(194(1X,I2))')  ( nzb_local(j,i), i = -1, nx+1 )
-!    ENDDO
-
-!
 !-- Consistency checks and index array initialization are only required for
 !-- non-flat topography, also the initialization of topography height arrays
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 707)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 708)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc/dirrad/raddir
+! 
 ! 
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
@@ -12,4 +12,7 @@
 ! -----------------
 ! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc/dirrad/raddir
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 707)
+++ /palm/trunk/SOURCE/modules.f90	(revision 708)
@@ -5,11 +5,14 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
 ! +bc_lr_dirrad, bc_lr_raddir, bc_ns_dirrad, bc_ns_raddir, left_border_pe,
 ! north_border_pe, right_border_pe, south_border_pe
 ! p_sub renamed p_loc
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 683 2011-02-09 14:25:15Z raasch
Index: /palm/trunk/SOURCE/poismg.f90
===================================================================
--- /palm/trunk/SOURCE/poismg.f90	(revision 707)
+++ /palm/trunk/SOURCE/poismg.f90	(revision 708)
@@ -7,4 +7,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
 ! p_loc is used instead of p in the main routine (poismg).
 ! On coarse grid levels, gathered data are identically processed on all PEs
@@ -15,8 +22,4 @@
 ! resid and restrict. They were missed before which may have led to
 ! unpredictable results.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 707)
+++ /palm/trunk/SOURCE/pres.f90	(revision 708)
@@ -4,4 +4,11 @@
 ! Current revisions:
 ! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
 ! Calculation of weighted average of p is now handled in the same way
 ! regardless of the number of ghost layers (advection scheme),
@@ -10,8 +17,4 @@
 ! localsum calculation modified for proper OpenMP reduction,
 ! bc_lr/ns replaced by bc_lr/ns_cyc
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 693 2011-03-08 09:..:..Z raasch
Index: /palm/trunk/SOURCE/sor.f90
===================================================================
--- /palm/trunk/SOURCE/sor.f90	(revision 707)
+++ /palm/trunk/SOURCE/sor.f90	(revision 708)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/time_integration.f90
===================================================================
--- /palm/trunk/SOURCE/time_integration.f90	(revision 707)
+++ /palm/trunk/SOURCE/time_integration.f90	(revision 708)
@@ -4,11 +4,13 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc,
-! calls of exchange_horiz are modified,
-! adaption to slooping surface,
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc, calls of exchange_horiz are modified,
+! adaption to sloping surface
 !
 ! 667  2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/timestep.f90
===================================================================
--- /palm/trunk/SOURCE/timestep.f90	(revision 707)
+++ /palm/trunk/SOURCE/timestep.f90	(revision 708)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! bc_lr/ns replaced by bc_lr/ns_cyc
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 707 2011-03-29 11:39:40Z raasch
+! bc_lr/ns replaced by bc_lr/ns_cyc
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka