Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 709)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 710)
@@ -4,11 +4,14 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
-! $Id: advec_s_ws.f90 705 2011-03-25 11:21:43 Z suehring $
-!
-! 705 2011-03-25 11:21:43 Z suehring $
+! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
+!
+! 705 2011-03-25 11:21:43 Z suehring
 ! Bugfix in declaration of logicals concerning outflow boundaries.
 ! 
Index: /palm/trunk/SOURCE/exchange_horiz.f90
===================================================================
--- /palm/trunk/SOURCE/exchange_horiz.f90	(revision 709)
+++ /palm/trunk/SOURCE/exchange_horiz.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 707 2011-03-29 11:39:40Z raasch
Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 709)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 699 2011-03-22 17:52:22Z suehring
Index: /palm/trunk/SOURCE/inflow_turbulence.f90
===================================================================
--- /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 709)
+++ /palm/trunk/SOURCE/inflow_turbulence.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 709)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 710)
@@ -7,9 +7,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 707 2011-03-29 11:39:40Z raasch
Index: /palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- /palm/trunk/SOURCE/init_coupling.f90	(revision 709)
+++ /palm/trunk/SOURCE/init_coupling.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 691 2011-03-04 08:45:30Z maronga
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 709)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 707 2011-03-29 11:39:40Z raasch
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 709)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 710)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 ! 
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
@@ -12,4 +12,7 @@
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 707 2011-03-29 11:39:40Z raasch
Index: /palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 709)
+++ /palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 709)
+++ /palm/trunk/SOURCE/pres.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 707 2011-03-29 11:39:40Z raasch
Index: /palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- /palm/trunk/SOURCE/prognostic_equations.f90	(revision 709)
+++ /palm/trunk/SOURCE/prognostic_equations.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 673 2011-01-18 16:19:48Z suehring
Index: /palm/trunk/SOURCE/surface_coupler.f90
===================================================================
--- /palm/trunk/SOURCE/surface_coupler.f90	(revision 709)
+++ /palm/trunk/SOURCE/surface_coupler.f90	(revision 710)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! formatting adjustments
+! 
 !
 ! Former revisions:
 ! ------------------
 ! $Id$
+!
+! 709 2011-03-30 09:31:40Z raasch
+! formatting adjustments
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka