Index: /palm/trunk/EXAMPLES/canyon/example_canyon_p3d
===================================================================
--- /palm/trunk/EXAMPLES/canyon/example_canyon_p3d	(revision 711)
+++ /palm/trunk/EXAMPLES/canyon/example_canyon_p3d	(revision 712)
@@ -3,4 +3,7 @@
 
          fft_method = 'temperton-algorithm',   ! fast, but restrictions apply
+
+         momentum_advec = 'pw-scheme',         ! topography does not work with
+         scalar_advec   = 'pw-scheme',         ! Wicker-Skamarock advection so far
 
          omega = 0.0,                          ! no Coriolis force
@@ -25,6 +28,4 @@
          npex = 2, npey = 1,
          create_disturbances = .T.,
-
-         netcdf_64bit = .F., netcdf_64bit_3d = .F.,
 
          dt_run_control            =      6.0,
Index: /palm/trunk/EXAMPLES/constant_flux_layer/example_constant_flux_layer_p3d
===================================================================
--- /palm/trunk/EXAMPLES/constant_flux_layer/example_constant_flux_layer_p3d	(revision 711)
+++ /palm/trunk/EXAMPLES/constant_flux_layer/example_constant_flux_layer_p3d	(revision 712)
@@ -3,4 +3,7 @@
 
          fft_method = 'temperton-algorithm',   ! fast, but restrictions apply
+
+         momentum_advec = 'pw-scheme',         ! topography does not work with
+         scalar_advec   = 'pw-scheme',         ! Wicker-Skamarock advection so far
 
          omega = 0.0,                          ! no Coriolis force
@@ -33,6 +36,4 @@
          create_disturbances = .T.,
 
-         netcdf_64bit = .F., netcdf_64bit_3d = .F.,
-
          dt_run_control            =      6.0,
          dt_dots                   =      6.0,
Index: /palm/trunk/EXAMPLES/mountain/example_mountain_p3d
===================================================================
--- /palm/trunk/EXAMPLES/mountain/example_mountain_p3d	(revision 711)
+++ /palm/trunk/EXAMPLES/mountain/example_mountain_p3d	(revision 712)
@@ -1,57 +1,57 @@
- &inipar      nx = 159, ny = 79, nz = 40,
-              dx = 50.0, dy = 50.0, dz = 50.0,
-              dz_stretch_level = 1500.0,
+ &inipar nx = 159, ny = 79, nz = 40,
+         dx = 50.0, dy = 50.0, dz = 50.0,
+         dz_stretch_level = 1500.0,
 
-              fft_method = 'temperton-algorithm',
+         fft_method = 'temperton-algorithm',
 
-              initializing_actions = 'set_1d-model_profiles',
-              dt_run_control_1d = 43200.0, dt_pr_1d = 43200.0,    
+         momentum_advec = 'pw-scheme',         ! topography does not work with
+         scalar_advec   = 'pw-scheme',         ! Wicker-Skamarock advection so far
+
+         initializing_actions = 'set_1d-model_profiles',
+         dt_run_control_1d = 43200.0, dt_pr_1d = 43200.0,    
  
-              ug_surface = 5.5, vg_surface = -2.0,
+         ug_surface = 5.5, vg_surface = -2.0,
 
-              pt_vertical_gradient       = 0.0, 5.0,   0.5,
-              pt_vertical_gradient_level = 0.0, 600.0, 700.0,  !Inversion below the mountain top
+         pt_vertical_gradient       = 0.0, 5.0,   0.5,
+         pt_vertical_gradient_level = 0.0, 600.0, 700.0,  !Inversion below the mountain top
 
-              topography = 'read_from_file',                   !Gaussian shaped mountain
+         topography = 'read_from_file',                   !Gaussian shaped mountain
                                                                !height: 1km, base diameter: 2km
-              wall_heatflux(0) = 0.05,
+         wall_heatflux(0) = 0.05,
           
-	      surface_heatflux = 0.05, bc_pt_b = 'neumann', /
+	 surface_heatflux = 0.05, bc_pt_b = 'neumann', /
 
- &d3par       end_time = 7200.0,
+ &d3par  end_time = 7200.0,
 
-              npex = 4,
-              npey = 2,
+         create_disturbances = .T.,
+         dt_disturb = 150.0, disturbance_energy_limit = 0.01,
 
-              create_disturbances = .T.,
-              dt_disturb = 150.0, disturbance_energy_limit = 0.01,
+         rayleigh_damping_factor = 0.01,
 
-              rayleigh_damping_factor = 0.01,
+         dt_run_control = 0.0,
+         dt_dots = 0.0,
+         
+         dt_data_output = 1800.0,
+         dt_data_output_av = 1800.0,
+         averaging_interval = 900.0,
+         dt_averaging_input = 10.0,
 
-              dt_run_control = 0.0,
-              dt_dots = 0.0,
-         
-              dt_data_output = 1800.0,
-              dt_data_output_av = 1800.0,
-              averaging_interval = 900.0,
-              dt_averaging_input = 10.0,
+         section_xy =  4, 8, 14, 20,
+         section_xz = -1, 40, 
+         section_yz = 60,
 
-              section_xy =  4, 8, 14, 20,
-              section_xz = -1, 40, 
-              section_yz = 60,
-
-              data_output = 'u_xy','u_xz', 'u_yz', 'u_xy_av',
-                            'v_xy','v_xz', 'v_yz', 'v_xy_av',
-                            'w_xy','w_xz', 'w_yz', 'w_xy_av',
-                            'pt_xy','pt_xz', 'pt_yz', 'pt_xy_av',
+         data_output = 'u_xy','u_xz', 'u_yz', 'u_xy_av',
+                       'v_xy','v_xz', 'v_yz', 'v_xy_av',
+                       'w_xy','w_xz', 'w_yz', 'w_xy_av',
+                       'pt_xy','pt_xz', 'pt_yz', 'pt_xy_av',
                            
 
-              dt_dopr = 1800.0,
-              averaging_interval_pr = 600.0,
-              dt_averaging_input_pr = 10.0,
-              data_output_pr = '#pt','#u', '#v', 'w',
-                               'wpt', 'w*pt*', 'w"pt"',
-                               'wu', 'w*u*', 'w"u"',
-                               'u*2', 'v*2', 'w*2',
+         dt_dopr = 1800.0,
+         averaging_interval_pr = 600.0,
+         dt_averaging_input_pr = 10.0,
+         data_output_pr = '#pt','#u', '#v', 'w',
+                          'wpt', 'w*pt*', 'w"pt"',
+                          'wu', 'w*u*', 'w"u"',
+                          'u*2', 'v*2', 'w*2',
 
-              data_output_2d_on_each_pe = .F., /
+         data_output_2d_on_each_pe = .F., /
Index: /palm/trunk/EXAMPLES/topo_file/example_topo_file_p3d
===================================================================
--- /palm/trunk/EXAMPLES/topo_file/example_topo_file_p3d	(revision 711)
+++ /palm/trunk/EXAMPLES/topo_file/example_topo_file_p3d	(revision 712)
@@ -3,4 +3,7 @@
 
          fft_method = 'temperton-algorithm',   ! fast, but restrictions apply
+
+         momentum_advec = 'pw-scheme',         ! topography does not work with
+         scalar_advec   = 'pw-scheme',         ! Wicker-Skamarock advection so far
 
          omega = 0.0,                          ! no Coriolis force
@@ -25,6 +28,4 @@
          create_disturbances = .T.,
 
-         netcdf_64bit = .F., netcdf_64bit_3d = .F.,
-
          dt_run_control            =      6.0,
          dt_dots                   =      6.0,