Index: /palm/trunk/SCRIPTS/mbuild
===================================================================
--- /palm/trunk/SCRIPTS/mbuild	(revision 716)
+++ /palm/trunk/SCRIPTS/mbuild	(revision 717)
@@ -119,4 +119,5 @@
      # 04/03/11 - BjornM- re-adjustments for lcxt4
      # 06/03/11 - Siggi - adjustments for ibmkisti
+     # 03/04/11 - Micha - added lckordi
 
 
@@ -470,4 +471,5 @@
        # IP-ADRESSE DES REMOTE-RECHNERS BESTIMMEN
     case  $remote_host  in
+        (lckordi)          remote_adress=210.219.61.8;;
         (lcmuk)          remote_addres=130.75.105.2;;
         (lcrte)          remote_addres=133.5.185.60;;
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 716)
+++ /palm/trunk/SCRIPTS/mrun	(revision 717)
@@ -222,5 +222,5 @@
      #                     usage, totalview usage extended
      # 17/03/11 - Siggi -  adjustments for openmp usage on ibmkisti
-
+     # 03/04/11 - Micha -  added lckordi
 
 
@@ -676,5 +676,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|unics|lcxt4|lcxt5m|lck)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|nech|necriam|lckyoto|lcsgib|lcsgih|unics|lcxt4|lcxt5m|lck|lckordi)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -840,5 +840,5 @@
                    do_remote=true
                    case  $host  in
-                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
+                       (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck|lckordi)  true;;
                        (*)  printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
                             printf "\n      is not available"
@@ -1122,5 +1122,5 @@
     do_remote=true
     case  $host  in
-        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck)  true;;
+        (ibm|ibmh|ibmkisti|ibmku|ibms|ibmy|lckyoto|lcsgib|lcsgih|nech|necriam|unics|lcxt4|lcxt5m|lck|lckordi)  true;;
         (*)  printf "\n"
              printf "\n  +++ sorry: execution of batch jobs on remote host \"$host\""
@@ -2043,5 +2043,5 @@
  lopts="$lopts $netcdf_lib $dvr_lib"
  ROPTS="$ropts"
- if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 ||  $host = lcxt5m || $host = lck )  &&  -n $numprocs ]]
+ if [[ ( $(echo $host | cut -c1-3) = nec  ||  $(echo $host | cut -c1-3) = ibm  ||  $host = lckyoto  ||  $host = lcsgih  ||  $host = lcsgib  ||  $host = lctit  ||  $host = lcfimm  ||  $host = lcxt4 ||  $host = lcxt5m || $host = lck || $host = lckordi)  &&  -n $numprocs ]]
  then
     XOPT="-X $numprocs"
@@ -3454,5 +3454,5 @@
                       aprun  -n $ii  -N $tasks_per_node  a.out < runfile_atmos  $ROPTS
 
-                   elif [[ $host = lck ]]
+                   elif [[ $host = lck || $host = lcordi ]]
                    then
                          mpiexec -n $ii  ./a.out  $ROPTS < runfile_atmos &
Index: /palm/trunk/SCRIPTS/subjob
===================================================================
--- /palm/trunk/SCRIPTS/subjob	(revision 716)
+++ /palm/trunk/SCRIPTS/subjob	(revision 717)
@@ -129,5 +129,5 @@
      # 06/03/11 - Siggi - adjustments for ibmkisti
      # 17/03/11 - Siggi - adjustments for openmp usage on ibmkisti
-
+     # 03/04/11 - Micha - added lckordi
 
 
@@ -193,4 +193,6 @@
     # HOSTSPEZIFISCHE VARIABLEN VEREINBAREN BZW. PRUEFEN, OB LOKALER HOST
     # UEBERHAUPT ZULAESSIG IST
+    # Note: One of the entries for "lck" or "lckordi" always has to be
+    # comment out, because the hostname (node*) is same for both machines
  case  $local_host  in
      (atmos)                 local_addres=172.20.25.35;   local_host=lcide;;
@@ -212,4 +214,5 @@
      (fimm.bccs.uib.no)      local_addres=172.20.4.2;     local_host=lcfimm;;
      (node*)                 local_addres=165.132.26.61   local_host=lck;;
+   #  (node*)                 local_addres=210.219.61.8    local_host=lckordi;;
      (gaia*)                 local_addres=150.183.146.24; local_host=ibmkisti;;
      (gallego)               local_addres=130.75.105.10;  local_host=lcmuk;;
@@ -376,4 +379,5 @@
         (lcsgih)  queue=smallq; remote_addres=130.75.4.101; submcom=/opt/moab/bin/msub;;
         (lck)     remote_addres=165.132.26.61; submcom=/usr/torque/bin/qsub;;
+        (lckordi) remote_addres=210.219.61.8; submcom=/usr/torque/bin/qsub;;
         (lctit)   queue=S; remote_addres=10.1.6.165; submcom=/opt/pbs/tools/bin/t2sub;;
         (lcxt4)	  remote_addres=129.177.20.113; submcom=/opt/torque/2.4.9-snap.201005191035/bin/qsub;;
@@ -803,5 +807,5 @@
     fi
 
- elif [[ $remote_host = lck ]]
+ elif [[ $remote_host = lck || $remote_host = lckordi ]]
  then
 
@@ -1421,5 +1425,5 @@
        then
           eval  $submcom  $job_on_remhost
-       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4  ||  $localhost = lck  ||  $localhost = lcyon ]]
+       elif [[  $local_host = lcfimm  ||  $local_host = lctit  ||  $localhost = lcxt4  ||  $localhost = lck  || $localhost = lckordi||  $localhost = lcyon ]]
        then
           chmod  u+x  $job_on_remhost