Index: /palm/tags/release-3.8/SOURCE/init_grid.f90
===================================================================
--- /palm/tags/release-3.8/SOURCE/init_grid.f90	(revision 723)
+++ /palm/tags/release-3.8/SOURCE/init_grid.f90	(revision 724)
@@ -9,4 +9,8 @@
 ! -----------------
 ! $Id$
+!
+! 722 2011-04-11 06:21:09Z raasch
+! Bugfix: bc_lr/ns_cyc replaced by bc_lr/ns, because variables are not yet set
+!         here
 !
 ! 709 2011-03-30 09:31:40Z raasch
@@ -564,5 +568,5 @@
        ENDIF
 
-       IF ( bc_lr_cyc )  THEN
+       IF ( bc_lr == 'cyclic' )  THEN
           IF ( ANY( nzb_local(:,-1) /= nzb_local(:,nx)   )  .OR. &
                ANY( nzb_local(:,0)  /= nzb_local(:,nx+1) ) )  THEN
@@ -572,5 +576,5 @@
           ENDIF
        ENDIF
-       IF ( bc_ns_cyc )  THEN
+       IF ( bc_ns == 'cyclic' )  THEN
           IF ( ANY( nzb_local(-1,:) /= nzb_local(ny,:)   )  .OR. &
                ANY( nzb_local(0,:)  /= nzb_local(ny+1,:) ) )  THEN
Index: /palm/tags/release-3.8/SOURCE/init_pegrid.f90
===================================================================
--- /palm/tags/release-3.8/SOURCE/init_pegrid.f90	(revision 723)
+++ /palm/tags/release-3.8/SOURCE/init_pegrid.f90	(revision 724)
@@ -12,4 +12,8 @@
 ! -----------------
 ! $Id$
+!
+! 722 2011-04-11 06:21:09Z raasch
+! Bugfix: bc_lr/ns_cyc/dirrad/raddir replaced by bc_lr/ns, because variables
+!         are not yet set here; grid_level set to 0
 !
 ! 709 2011-03-30 09:31:40Z raasch
@@ -193,6 +197,6 @@
 !
 !-- If necessary, set horizontal boundary conditions to non-cyclic
-    IF ( .NOT. bc_lr_cyc )  cyclic(1) = .FALSE.
-    IF ( .NOT. bc_ns_cyc )  cyclic(2) = .FALSE.
+    IF ( bc_lr /= 'cyclic' )  cyclic(1) = .FALSE.
+    IF ( bc_ns /= 'cyclic' )  cyclic(2) = .FALSE.
 
 !
@@ -977,5 +981,9 @@
     ENDIF
 
-    grid_level = maximum_grid_level
+!
+!-- Default level 0 tells exchange_horiz that all ghost planes have to be
+!-- exchanged. grid_level is adjusted in poismg, where only one ghost plane
+!-- is required.
+    grid_level = 0
 
 #if defined( __parallel )
@@ -1067,7 +1075,7 @@
 !-- horizontal boundary conditions.
     IF ( pleft == MPI_PROC_NULL )  THEN
-       IF ( bc_lr_dirrad )  THEN
+       IF ( bc_lr == 'dirichlet/radiation' )  THEN
           inflow_l  = .TRUE.
-       ELSEIF ( bc_lr_raddir )  THEN
+       ELSEIF ( bc_lr == 'radiation/dirichlet' )  THEN
           outflow_l = .TRUE.
        ENDIF
@@ -1075,7 +1083,7 @@
 
     IF ( pright == MPI_PROC_NULL )  THEN
-       IF ( bc_lr_dirrad )  THEN
+       IF ( bc_lr == 'dirichlet/radiation' )  THEN
           outflow_r = .TRUE.
-       ELSEIF ( bc_lr_raddir )  THEN
+       ELSEIF ( bc_lr == 'radiation/dirichlet' )  THEN
           inflow_r  = .TRUE.
        ENDIF
@@ -1083,7 +1091,7 @@
 
     IF ( psouth == MPI_PROC_NULL )  THEN
-       IF ( bc_ns_dirrad )  THEN
+       IF ( bc_ns == 'dirichlet/radiation' )  THEN
           outflow_s = .TRUE.
-       ELSEIF ( bc_ns_raddir )  THEN
+       ELSEIF ( bc_ns == 'radiation/dirichlet' )  THEN
           inflow_s  = .TRUE.
        ENDIF
@@ -1091,7 +1099,7 @@
 
     IF ( pnorth == MPI_PROC_NULL )  THEN
-       IF ( bc_ns_dirrad )  THEN
+       IF ( bc_ns == 'dirichlet/radiation' )  THEN
           inflow_n  = .TRUE.
-       ELSEIF ( bc_ns_raddir )  THEN
+       ELSEIF ( bc_ns == 'radiation/dirichlet' )  THEN
           outflow_n = .TRUE.
        ENDIF
@@ -1123,16 +1131,16 @@
 
 #else
-    IF ( bc_lr_dirrad )  THEN
+    IF ( bc_lr == 'dirichlet/radiation' )  THEN
        inflow_l  = .TRUE.
        outflow_r = .TRUE.
-    ELSEIF ( bc_lr_raddir )  THEN
+    ELSEIF ( bc_lr == 'radiation/dirichlet' )  THEN
        outflow_l = .TRUE.
        inflow_r  = .TRUE.
     ENDIF
 
-    IF ( bc_ns_dirrad )  THEN
+    IF ( bc_ns == 'dirichlet/radiation' )  THEN
        inflow_n  = .TRUE.
        outflow_s = .TRUE.
-    ELSEIF ( bc_ns_raddir )  THEN
+    ELSEIF ( bc_ns == 'radiation/dirichlet' )  THEN
        outflow_n = .TRUE.
        inflow_s  = .TRUE.
Index: /palm/tags/release-3.8/SOURCE/modules.f90
===================================================================
--- /palm/tags/release-3.8/SOURCE/modules.f90	(revision 723)
+++ /palm/tags/release-3.8/SOURCE/modules.f90	(revision 724)
@@ -10,4 +10,7 @@
 ! -----------------
 ! $Id$
+!
+! 722 2011-04-11 06:21:09Z raasch
+! Bugfix: default value for south_border_pe changed to .F.
 !
 ! 707 2011-03-29 11:39:40Z raasch
@@ -1240,5 +1243,5 @@
     LOGICAL ::  collective_wait = .FALSE., left_border_pe  = .FALSE.,  &
                 north_border_pe = .FALSE., reorder = .TRUE.,           &
-                right_border_pe = .FALSE., south_border_pe = .TRUE.,   &
+                right_border_pe = .FALSE., south_border_pe = .FALSE.,  &
                 synchronous_exchange = .FALSE.
 