Index: /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 732)
+++ /palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 733)
@@ -20,5 +20,5 @@
 %host_identifier   r2*         lcsgib
 %host_identifier   b01*        lcsgib
-%host_identifier   gallego     lcmuk
+%host_identifier   inferno     lcmuk
 #
 # The following blocks contain all information for compiling the PALM code
@@ -30,33 +30,34 @@
 #
 # The following 'lcmuk parallel' block assumes PALM compilation and execution
-# on host gallego. Please note that other hosts within the IMUK linux cluster,
-# e.g. maestro or bora, may have require different settings.
+# on host inferno. Please note that other hosts within the IMUK linux cluster,
+# e.g. bora, may require different settings.
 #
 #%remote_username   <replace by your IMUK username>              lcmuk parallel
-%tmp_user_catalog  /tmp                                          lcmuk parallel
+%tmp_user_catalog  /localdata                                    lcmuk parallel
 %compiler_name     mpif90                                        lcmuk parallel
 %compiler_name_ser ifort                                         lcmuk parallel
-%cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcmuk parallel
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.3/include            lcmuk parallel
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.3/lib:-lnetcdf        lcmuk parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcmuk parallel
+%netcdf_inc        -I:/muksoft/packages/netcdf/3.6.3/include     lcmuk parallel
+%netcdf_lib        -L/muksoft/packages/netcdf/3.6.3/lib:-lnetcdf lcmuk parallel
 %mopts             -j:4                                          lcmuk parallel
-%fopts             -axW:-cpp:-r8:-nbs:-convert:little_endian:-I:/muksoft_64/packages/mpich2/2.1.0.5/include     lcmuk parallel
-%lopts             -axW:-cpp:-r8:-nbs:-Vaxlib:-L:/muksoft_64/packages/mpich2/2.1.0.5/lib                    lcmuk parallel
+%fopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian     lcmuk parallel
+%lopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                    lcmuk parallel
 #%hostfile          $base_directory/.hostfile                    lcmuk parallel
 #
 #
-%sgi_feature       ice                                        lcsgih parallel
-%modules           intel.compiler:mvapich2:netcdf/3.6.3-intel lcsgih parallel
-#%remote_username  <replace by your HLRN username>            lcsgih parallel
-%compiler_name     mpif90                                     lcsgih parallel
+%sgi_feature       ice2                                       lcsgih parallel
+%modules           intel.compiler:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgih parallel
+#%remote_username    <replace by your HLRN username>          lcsgih parallel
+%compiler_name     ifort                                      lcsgih parallel
 %compiler_name_ser ifort                                      lcsgih parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf   lcsgih parallel
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.3-intel/include    lcsgih parallel
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.3-intel/lib:-lnetcdf:-lnetcdff      lcsgih parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgih parallel
+%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgih parallel
+%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel
 %mopts             -j:4                                       lcsgih parallel
-%fopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
-%lopts             -g:-w:-xT:-O3:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib   lcsgih parallel
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
+%fopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
+%lopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel
+%memory            1500                                       lcsgih parallel
+#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
+#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel
 #
 #