Index: palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 749)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk_hlrn	(revision 750)
@@ -3,6 +3,6 @@
 #----------------------------------------------------------------------------
 %mainprog          palm.f90
-%base_directory    $HOME/palm/current_version
-%base_data         ~/palm/current_version/JOBS
+%base_directory    $HOME/palm/seminar_version
+%base_data         ~/palm/seminar_version/JOBS
 %source_path       $base_directory/trunk/SOURCE
 %add_source_path   $base_directory/USER_CODE/$fname
@@ -25,5 +25,5 @@
 # and for generating and running the PALM executable using MPI. Replace all
 # required paths (given in <>) by the respective paths valid on your host.
-# Please adjust compilernames, cpp-options, compiler-options etc. 
+# Please adjust compilernames, cpp-options, compiler-options etc.
 # appropriately for your own system(s), and please delete or comment out
 # blocks for unused systems.
@@ -33,6 +33,6 @@
 # e.g. bora, may require different settings.
 #
-#%remote_username   <replace by your IMUK username>              lcmuk parallel
-#%tmp_user_catalog  /localdata/<replace by your IMUK username>   lcmuk parallel
+#%remote_username   <replace by your IMUK username>               lcmuk parallel
+#%tmp_user_catalog  /home/<replace by your IMUK username>/palm/tmp/  lcmuk parallel
 %compiler_name     mpif90                                        lcmuk parallel
 %compiler_name_ser ifort                                         lcmuk parallel
@@ -46,18 +46,19 @@
 #
 #
-%sgi_feature       ice2                                       lcsgih parallel
-%modules           intel.compiler:mpt:phdf5/1.8.5-mpt-intel-11.1:pnetcdf/4.1.1-mpt-intel-11.1  lcsgih parallel
+%sgi_feature        ice2                                       lcsgih parallel
+%modules            intel.compiler/11.1.072:mpt:netcdf/3.6.3-intel   lcsgih parallel
 #%remote_username    <replace by your HLRN username>          lcsgih parallel
-%compiler_name     ifort                                      lcsgih parallel
-%compiler_name_ser ifort                                      lcsgih parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf4:-D__mpi2   lcsgih parallel
-%netcdf_inc        -I:/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/include:-I:/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/include    lcsgih parallel
-%netcdf_lib        -L/sw/dataformats/pnetcdf/netcdf-4.1.1-mpt-intel-11.1/lib:-lnetcdf:-lnetcdff:-L/sw/dataformats/phdf5/hdf5-1.8.5-mpt-intel-11.1/lib:-lhdf5:-lhdf5_hl:-lz      lcsgih parallel
-%mopts             -j:4                                       lcsgih parallel
-%fopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
-%lopts             -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel
-%memory            1500                                       lcsgih parallel
-#%tmp_data_catalog  /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel
+%compiler_name      ifort                                     lcsgih parallel
+%compiler_name_ser  ifort                                      lcsgih parallel
+%cpp_options        -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf  lcsgih parallel
+%netcdf_inc         -I:/sw/dataformats/netcdf/3.6.3-intel/include                    lcsgih parallel
+%netcdf_lib         -L/sw/dataformats/netcdf/3.6.3-intel/lib:-lnetcdf:-lnetcdff      lcsgih parallel
+%mopts              -j:4                                       lcsgih parallel
+%fopts              -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
+%lopts              -openmp:-xS:-fpe0:-O3:-cpp:-r8:-fp-model:precise:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel
+%memory             1500                                       lcsgih parallel
+#%tmp_data_catalog   /gfs2/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
+#%tmp_user_catalog   /gfs2/tmp/<replace by your HLRN username>                         lcsgih parallel
+#
 #
 #
@@ -65,5 +66,5 @@
 #
 #----------------------------------------------------------------------------
-# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+# INPUT-commands, executed before running PALM - lines must start with "IC:"
 #----------------------------------------------------------------------------
 #IC:
@@ -132,5 +133,5 @@
 DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
-DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr 
+DATA_DVR             out:loc:trpe dvr       $base_data/$fname/OUTPUT  _dvr
 #
 DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log