Index: /palm/trunk/INSTALL/MAKE.inc.ifort.forwind
===================================================================
--- /palm/trunk/INSTALL/MAKE.inc.ifort.forwind	(revision 755)
+++ /palm/trunk/INSTALL/MAKE.inc.ifort.forwind	(revision 755)
@@ -0,0 +1,9 @@
+# Contents of this file are included in palm's makefile if the simple install
+# process (palm_simple_install) is used.
+# Please adjust compiling parameters as required for your system.
+
+PROG=palm 
+F90=mpiifort
+COPT= -cpp -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__netcdf -D__netcdf_64bit -D__lc -D__parallel
+F90FLAGS=  -xSSE4.2 -O3 -cpp -r8 -align all -ftz -fno-alias -no-scalar-rep -no-prec-div -no-prec-sqrt -ip -nbs -convert little_endian -I /cm/shared/apps/netcdf/intel/64/4.1.3/include
+LDFLAGS= -xSSE4.2 -O3 -cpp -r8 -align all -ftz -fno-alias -no-scalar-rep -no-prec-div -no-prec-sqrt -ip -nbs -Vaxlib -L/cm/shared/apps/netcdf/intel/64/4.1.3/lib -lnetcdf -lnetcdff
Index: /palm/trunk/SCRIPTS/.mrun.config.forwind
===================================================================
--- /palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 755)
+++ /palm/trunk/SCRIPTS/.mrun.config.forwind	(revision 755)
@@ -0,0 +1,163 @@
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         $base_directory/JOBS
+%output_data       /data/work/fw/<user-id>/palm/current_version/JOBS
+# Replace <user-id> by your username on FLOW. Replace "/fw/" by "/iwes/" if
+# your user directory resides in /iwes/.
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%depository_path   $base_directory/MAKE_DEPOSITORY
+%use_makefile      true
+#
+#
+%host_identifier       flow*            lcflow
+%host_identifier       cfdl*            lcflow
+%host_identifier       cfdh*            lcflow
+#
+#
+# The next block contains all informations for compiling the PALM code
+# and for generating and running the PALM executable using MPI. Replace <user-id>
+# with your username on FLOW and if necessary "/fw/" by "/iwes/".
+# The following 'lcflow parallel' block assumes PALM compilation and execution
+# on host flow. Please note that other hosts may require different settings.
+#
+%remote_username   <user-id>                                      lcflow parallel
+%tmp_user_catalog  /data/work/fw/<user-id>/tmp                    lcflow parallel
+%tmp_data_catalog  /data/work/fw/<user-id>/palm_restart_data      lcflow parallel
+%compiler_name     mpiifort                                       lcflow parallel
+%compiler_name_ser ifort                                          lcflow parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__lc:-D__parallel  lcflow parallel
+%netcdf_inc        -I:/cm/shared/apps/netcdf/intel/64/4.1.3/include                 lcflow parallel
+%netcdf_lib        -L/cm/shared/apps/netcdf/intel/64/4.1.3/lib:-lnetcdf:-lnetcdff   lcflow parallel
+%mopts             -j:4
+%fopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian   lcflow parallel
+%lopts             -xSSE4.2:-O3:-cpp:-r8:-align:all:-ftz:-fno-alias:-no-scalar-rep:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib                  lcflow parallel
+#
+#
+%write_binary                true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:pwd; ls -al
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#      $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f      $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#:d3f  $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f:rec  $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf     $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf      $output_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf      $output_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf      $output_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf     $output_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf      $output_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf      $output_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf      $output_data/$fname/OUTPUT   _xz     nc
+DATA_2D_XZ_AV_NETCDF     in:locopt     xzf      $output_data/$fname/OUTPUT   _xz_av  nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf      $output_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df      $output_data/$fname/OUTPUT   _3d     nc
+DATA_3D_AV_NETCDF        in:locopt     3df      $output_data/$fname/OUTPUT   _3d_av  nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf     $output_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:a  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:a  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:a  d3f     $base_data/$fname/MONITORING  _cpu
+#
+DATA_1D_PR_NETCDF      out:loc    pr#       $output_data/$fname/OUTPUT  _pr     nc
+DATA_1D_PR_NETCDF      out:loc    prf       $output_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF      out:loc    sp#       $output_data/$fname/OUTPUT  _sp     nc
+DATA_1D_SP_NETCDF      out:loc    spf       $output_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF      out:loc    ts#       $output_data/$fname/OUTPUT  _ts     nc
+DATA_1D_TS_NETCDF      out:loc    tsf       $output_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF     out:loc    pts#      $output_data/$fname/OUTPUT  _pts    nc
+DATA_1D_PTS_NETCDF     out:loc    ptsf      $output_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF      out:loc    xy#:xyf   $output_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF   out:loc    xy#:xyf   $output_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF      out:loc    xz#:xzf   $output_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF   out:loc    xz#:xzf   $output_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF      out:loc    yz#:yzf   $output_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF   out:loc    yz#:yzf   $output_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF         out:loc    3d#:3df   $output_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF      out:loc    3d#:3df   $output_data/$fname/OUTPUT  _3d_av  nc
+DATA_MASK_01_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m01     nc
+DATA_MASK_01_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m01_av  nc
+DATA_MASK_02_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m02     nc
+DATA_MASK_02_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m02_av  nc
+DATA_MASK_03_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m03     nc
+DATA_MASK_03_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m03_av  nc
+DATA_MASK_04_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m04     nc
+DATA_MASK_04_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m04_av  nc
+DATA_MASK_05_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m05     nc
+DATA_MASK_05_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m05_av  nc
+DATA_MASK_06_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m06     nc
+DATA_MASK_06_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m06_av  nc
+DATA_MASK_07_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m07     nc
+DATA_MASK_07_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m07_av  nc
+DATA_MASK_08_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m08     nc
+DATA_MASK_08_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m08_av  nc
+DATA_MASK_09_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m09     nc
+DATA_MASK_09_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m09_av  nc
+DATA_MASK_10_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m10     nc
+DATA_MASK_10_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m10_av  nc
+DATA_MASK_11_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m11     nc
+DATA_MASK_11_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m11_av  nc
+DATA_MASK_12_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m12     nc
+DATA_MASK_12_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m12_av  nc
+DATA_MASK_13_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m13     nc
+DATA_MASK_13_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m13_av  nc
+DATA_MASK_14_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m14     nc
+DATA_MASK_14_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m14_av  nc
+DATA_MASK_15_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m15     nc
+DATA_MASK_15_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m15_av  nc
+DATA_MASK_16_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m16     nc
+DATA_MASK_16_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m16_av  nc
+DATA_MASK_17_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m17     nc
+DATA_MASK_17_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m17_av  nc
+DATA_MASK_18_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m18     nc
+DATA_MASK_18_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m18_av  nc
+DATA_MASK_19_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m19     nc
+DATA_MASK_19_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m19_av  nc
+DATA_MASK_20_NETCDF    out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m20     nc
+DATA_MASK_20_AV_NETCDF out:loc    ma#:maf   $output_data/$fname/OUTPUT  _m20_av  nc
+DATA_PRT_NETCDF        out:loc:pe prt#:prtf $output_data/$fname/OUTPUT  _prt    nc
+DATA_PRT_NETCDF        out:loc:pe prt#:prtf $output_data/$fname/OUTPUT  _prt    nc
+DATA_DVR               out:loc:pe dvr       $output_data/$fname/OUTPUT  _dvr 
+#
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
+
Index: /palm/trunk/SCRIPTS/mrun
===================================================================
--- /palm/trunk/SCRIPTS/mrun	(revision 754)
+++ /palm/trunk/SCRIPTS/mrun	(revision 755)
@@ -228,5 +228,5 @@
      # 18/08/11 - Marcus - support for Linux OS with German locale
      #                   - properly report hosts on general Linux clusters 
-
+     # 29/08/11 - BjornW - adapted for lcflow (ForWind cluster in Oldenburg)
 
  
@@ -2560,4 +2560,10 @@
           [[ ! -f a.out ]]  &&  compile_error=true
           continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
+       elif [[ $localhost = lcflow ]]
+       then 
+          printf "      compiler is called via ssh on \"flow\" \n"
+          ssh  flow02.hpc.uni-oldenburg.de -l $usern ". /cm/local/apps/environment-modules/3.2.6/Modules/3.2.6/init/bash; echo $MODULEPATH; echo $MODULESHOME; MODULEPATH=/cm/shared/modulefiles/; module load netcdf/intel/64/4.1.3 intel/ics/64/2011.0.013 intel/impi/64/4.0.1.007 hdf5/intel/64/1.8.7; cd $TEMPDIR; make $mopts -f Makefile PROG=a.out F90=$compiler_name COPT=\"$cpp_options\" F90FLAGS=\"$fopts\" LDFLAGS=\"$lopts\" "
+          [[ ! -f a.out ]]  &&  compile_error=true
+          continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        else
           [[ $localhost = lcxt4 ]]  &&  . /opt/modules/default/init/ksh
@@ -3398,4 +3404,7 @@
                 then
                     aprun  -n $ii  -N $tasks_per_node  a.out  $ROPTS  < runfile_atmos
+                elif [[ $host = lcflow ]]
+                then
+                   mpiexec  -machinefile $TMPDIR/machines  -n $ii  -env I_MPI_FABRICS shm:ofa a.out  < runfile_atmos  $ROPTS
                 else
                    mpiexec  -machinefile hostfile  -n $ii  a.out  < runfile_atmos  $ROPTS
Index: /palm/trunk/SCRIPTS/palm_simple_run
===================================================================
--- /palm/trunk/SCRIPTS/palm_simple_run	(revision 754)
+++ /palm/trunk/SCRIPTS/palm_simple_run	(revision 755)
@@ -12,6 +12,7 @@
 
      # Last changes:
-     # 25/01/10 - Siggi - Generating the first version
-     # 18/03/10 - Siggi - Some comments changed
+     # 25/01/10 - Siggi  - Generating the first version
+     # 18/03/10 - Siggi  - Some comments changed
+     # 29/08/11 - BjornW - Adapted for lcflow (ForWind cluster in Oldenburg)
 
 
@@ -128,6 +129,9 @@
  mpiexec  -machinefile hostfile  -n $mpi_procs  ./palm  < runfile_atmos
 
-# SGI-MPT HLRN
+# SGI-MPT HLRN:
 # mpiexec_mpt  -np $mpi_procs  ./palm  < runfile_atmos
+
+# HPC-FLOW (ForWind):
+# mpiexec  -machinefile $TMPDIR/machines -n $mpi_procs  -env I_MPI_FABRICS shm:ofa ./palm  < runfile_atmos
 
 
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 754)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 755)
@@ -5,4 +5,5 @@
 ! -----------------
 ! 
+! 2d-decomposition is default for lcflow (ForWind cluster in Oldenburg)
 ! 
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
@@ -140,6 +141,6 @@
        IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec'      .OR. &
             ( host(1:2) == 'lc'  .AND.  host(3:5) /= 'sgi'  .AND.  &
-              host(3:4) /= 'xt'  .AND.  host(3:5) /= 'tit' )  .OR. &
-             host(1:3) == 'dec' )  THEN
+              host(3:4) /= 'xt'  .AND.  host(3:5) /= 'tit'  .AND.  &
+              host(3:6) /= 'flow' )  .OR.  host(1:3) == 'dec' )  THEN
 
           pdims(1) = numprocs