Index: palm/trunk/SCRIPTS/NCL/cross_sections.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 731)
+++ palm/trunk/SCRIPTS/NCL/cross_sections.ncl	(revision 758)
@@ -1415,10 +1415,10 @@
    end if 
 
-   check = True
-   v1=0
-   v2=0
-   no_var=0
-   n=0
-   no_zu1=0
+   check  = True
+   v1     = 0
+   v2     = 0
+   no_var = 0
+   n      = 0
+   no_zu1 = 0
 
    ;****************************************************
@@ -1547,9 +1547,4 @@
    
    do varn=dim-1,0,1   
-    
-      ;if (vector .EQ. 1) then    
-      ;   check_vec1 = isStrSubset( vec1,","+vNam(varn)+",")
-      ;   check_vec2 = isStrSubset( vec2,","+vNam(varn)+",")
-      ;end if
            
       if ( vNam(varn) .eq. "zw" .or. vNam(varn) .eq. "yv" .or.          \
@@ -1630,6 +1625,5 @@
 
    if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
-      plot=new((/no_time*no_layer*no_var - no_time*(no_layer-1)*no_zu1 \
-                                         + no_time*no_layer/),graphic)
+      plot=new((/no_time*no_layer/),graphic)
    else
       plot=new((/no_time*no_layer*no_var - no_time*(no_layer-1)*no_zu1/)\
@@ -1839,6 +1833,13 @@
                      cs_res@gsnCenterString = "t=" + \
                        decimalPlaces(t_all(li)/3600,2,True) +"h  z"+level
-                     plot(n) = gsn_csm_contour(wks_ps,\
+
+                     if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
+                        ;nothing to be done
+                     else
+                         plot(n) = gsn_csm_contour(wks_ps,\
                                            data(varn,li,lo-los,:,:),cs_res) 
+                     end if
+
+
                      if (vector .EQ. 1 .AND. check_vecp) then
                         vecres                 = True           ; vector only
@@ -1897,7 +1898,12 @@
                      cs_res@gsnCenterString = "t=" + \
                            decimalPlaces(t_all(lo)/3600,2,True) + "h  z"+ level
-                     
-                     plot(n) = gsn_csm_contour(wks_ps,\
+
+                     if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
+                        ;nothing to be done
+                     else
+                        plot(n) = gsn_csm_contour(wks_ps,\
                                             data(varn,lo,li-lis,:,:),cs_res)
+                     end if
+
                      if (vector .EQ. 1 .AND. check_vecp) then
                         vecres                 = True           ; vector only
@@ -1941,6 +1947,12 @@
                      cs_res@gsnCenterString = "t=" + \
                            decimalPlaces(t_all(li)/3600,2,True) + "h  y"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,\
+
+                     if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
+                        ;nothing to be done
+                     else
+                         plot(n) = gsn_csm_contour(wks_ps,\
                                               data(varn,li,:,lo-los,:),cs_res)
+                     end if
+
                      if (vector .EQ. 1 .AND. check_vecp) then
                         vecres                 = True           ; vector only 
@@ -1975,6 +1987,12 @@
                      cs_res@gsnCenterString = "t=" + \
                            decimalPlaces(t_all(lo)/3600,2,True) + "h  y"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,\
-                                              data(varn,lo,:,li-lis,:),cs_res)
+
+                     if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
+                        ;nothing to be done
+                     else
+                         plot(n) = gsn_csm_contour(wks_ps,\
+                                              data(varn,lo,:,li-lis,:),cs_res)  
+                     end if
+
                      if (vector .EQ. 1 .AND. check_vecp) then
                         vecres                 = True           ; vector only 
@@ -2018,6 +2036,12 @@
                      cs_res@gsnCenterString = "t=" + \
                           decimalPlaces(t_all(li)/3600,2,True) + "h  x"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,\
+
+                     if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
+                        ;nothing to be done
+                     else
+                        plot(n) = gsn_csm_contour(wks_ps,\
                                           data(varn,li,:,:,lo-los),cs_res)
+                     end if
+
     	             if (vector .EQ. 1 .AND. check_vecp) then
                         vecres                 = True           ; vector only 
@@ -2052,6 +2076,12 @@
                      cs_res@gsnCenterString = "t=" + \
                            decimalPlaces(t_all(lo)/3600,2,True) + "h  x"+ level
-                     plot(n) = gsn_csm_contour(wks_ps,\
+
+                     if (vector .EQ. 1 .AND. plotvec .EQ. "plotvec") then
+                        ;nothing to be done
+                     else
+                        plot(n) = gsn_csm_contour(wks_ps,\
                                           data(varn,lo,:,:,li-lis),cs_res)
+                     end if
+
                      if (vector .EQ. 1 .AND. check_vecp)then
                         vecres                 = True           ; vector only 
Index: palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 731)
+++ palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 758)
@@ -328,6 +328,6 @@
    res@tmYLLabelFont           = "helvetica" 
    res@xyLineColors            = (/237/) 
-   res@trXMaxF                 = t_all(start_time_step)
-   res@trXMinF                 = t_all(end_time_step)
+   res@trXMaxF                 = t(start_time_step)
+   res@trXMinF                 = t(end_time_step)
    
    res@lgLabelFontHeightF     = 0.02