Index: palm/trunk/SOURCE/advec_particles.f90
===================================================================
--- palm/trunk/SOURCE/advec_particles.f90	(revision 759)
+++ palm/trunk/SOURCE/advec_particles.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! ------------------
-! Splitting of parallel I/O (routine write_particles)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! Splitting of parallel I/O (routine write_particles)
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 759)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Splitting of parallel I/O
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! Splitting of parallel I/O
 !
 ! 729 2011-05-26 10:33:34Z heinze
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 759)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Splitting of parallel I/O
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! Splitting of parallel I/O
 !
 ! 727 2011-04-20 20:05:25Z suehring
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 759)
+++ palm/trunk/SOURCE/header.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! output of maximum number of parallel io streams
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! output of maximum number of parallel io streams
 !
 ! 707 2011-03-29 11:39:40Z raasch
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 759)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 760)
@@ -7,11 +7,14 @@
 ! Current revisions:
 ! ------------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
 ! Splitting of parallel I/O in blocks of PEs
 ! Bugfix: No zero assignments to volume_flow_initial and volume_flow_area in
 ! case of normal restart runs.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 713 2011-03-30 14:21:21Z suehring
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 759)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Splitting of parallel I/O in blocks of PEs
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! Splitting of parallel I/O in blocks of PEs
 !
 ! 722 2011-04-11 06:21:09Z raasch
Index: palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- palm/trunk/SOURCE/init_pegrid.f90	(revision 759)
+++ palm/trunk/SOURCE/init_pegrid.f90	(revision 760)
@@ -4,7 +4,6 @@
 ! Current revisions:
 ! -----------------
-! calculation of number of io_blocks and the io_group to which the respective
-! PE belongs
 ! 
+!
 ! ATTENTION: nnz_x undefined problem still has to be solved!!!!!!!!
 ! TEST OUTPUT (TO BE REMOVED) logging mpi2 ierr values
@@ -13,4 +12,9 @@
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! 
+! calculation of number of io_blocks and the io_group to which the respective
+! PE belongs
 !
 ! 755 2011-08-29 09:55:16Z witha
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 759)
+++ palm/trunk/SOURCE/modules.f90	(revision 760)
@@ -5,6 +5,5 @@
 ! Current revisions:
 ! -----------------
-! +io_blocks, io_group, maximum_parallel_io_streams,
-! synchronous_exchange moved to control_parameters
+! 
 !
 ! Former revisions:
@@ -12,4 +11,7 @@
 ! $Id$
 !
+! 759 2011-09-15 13:58:31Z raasch
+! +io_blocks, io_group, maximum_parallel_io_streams,
+! synchronous_exchange moved to control_parameters
 !
 ! 743 2011-08-18 16:10:16Z suehring
Index: palm/trunk/SOURCE/palm.f90
===================================================================
--- palm/trunk/SOURCE/palm.f90	(revision 759)
+++ palm/trunk/SOURCE/palm.f90	(revision 760)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! Splitting of parallel I/O, cpu measurement for write_3d_binary and opening
-! of unit 14 moved to here
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! Splitting of parallel I/O, cpu measurement for write_3d_binary and opening
+! of unit 14 moved to here
 !
 ! 495 2010-03-02 00:40:15Z raasch
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 759)
+++ palm/trunk/SOURCE/parin.f90	(revision 760)
@@ -4,10 +4,13 @@
 ! Current revisions:
 ! -----------------
-! +maximum_parallel_io_streams in envpar,
-! splitting of parallel I/O in blocks of PEs
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! +maximum_parallel_io_streams in envpar,
+! splitting of parallel I/O in blocks of PEs
 !
 ! 683 2011-02-09 14:25:15Z raasch
Index: palm/trunk/SOURCE/prandtl_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 759)
+++ palm/trunk/SOURCE/prandtl_fluxes.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! Bugfix for ts limitation
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! Bugfix for ts limitation
 !
 ! 709 2011-03-30 09:31:40Z raasch
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 759)
+++ palm/trunk/SOURCE/production_e.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! initialization of u_0, v_0
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! initialization of u_0, v_0
 !
 ! 667 2010-12-23 12:06:00Z suehring/gryschka
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 759)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 760)
@@ -4,9 +4,12 @@
 ! Current revisions:
 ! -----------------
-! cpu measurement and file opening moved to main program
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 759 2011-09-15 13:58:31Z raasch
+! cpu measurement and file opening moved to main program
 !
 ! 587 2010-10-27 08:36:51Z helmke